<!DOCTYPE html>
<html>

<head>
    <!-- do not change -->

    <meta charset="utf-8">

    <title>Forms</title>

    <!-- icon -->
    <link rel="icon" href="./static/images/git_icon.png">

    <!-- css -->

    <link href="./static/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="./static/css/main.css" type="text/css">
    <link rel="stylesheet" href="./static/css/list.css" type="text/css">

</head>
<!-- do not change -->

<body>

    <div class="container">

        <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-light">
            <!-- do not change -->

            <div class="navbar-brand">
                <img src="./static/images/git_icon.png" width="50" height="50" alt="Logo">
            </div>

            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav mr-auto">
                    <li class="nav-item ">
                        <a class="nav-link" href="https://gitlab.com/soleil-data-treatment/soleil-software-documentation" target="_blank" rel="noopener noreferrer">
                            Home
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="https://soleil-data-treatment.gitlab.io/soleil-software-documentation/synchrotron-software-survey/">
                            Softwares sheets
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link active">
                            Beamlines repositories
                        </a>
                    </li>

            </div>
        </nav>
        <!-- do not change -->

        <h1 class="text-center">Beamlines repositories</h1>

        <!-- change -->
        <p class="text-center">
            List of git repositories of each beamlines in Synchrotron SOLEIL.</br>
            Each beamline are linked to their corresponding git repository.</br>
            You will find in there the beamline's softwares, scripts and documentations files.
        </p>
        <!-- change -->

        <!-- change -->
        <div class="container">
            <div class="row no-gutters">
                <div class="col-md-4">
                </div>
                <div class="col-md-8">
                    <ul class="list-unstyled"> 

                        <a href="#DISCO">     
                            <li class="title d-inline" title="DISCO"></li>
                        </a>
                        
                    </ul>
                </div>
            </div>
        </div>
        <!-- change -->

    <div class="justify-content-center"> <!-- justify-content-center -->

    <!-- DISCO -->
    <div class="p-2 justify-content-center">
        <div class="list-group-item">

            <div class="d-flex justify-content-between">
                <div>
                    <h4 id="DISCO">
                        <a href="https://gitlab.synchrotron-soleil.fr/disco-beamline" title="https://gitlab.synchrotron-soleil.fr/disco-beamline" target="_blank" rel="noopener noreferrer">
                        DISCO repository
                        </a>
                    </h4>
                </div>
                <div>
                    <h4>
                        <a href="https://www.synchrotron-soleil.fr/en/beamlines/disco" title="https://www.synchrotron-soleil.fr/en/beamlines/disco" target="_blank" rel="noopener noreferrer">
                        SOLEIL page
                        </a>
                    </h4>
                </div>
            </div>  

            <div class="justify-content-between">
                <div class="d-flex p-2 justify-content-between">
                <div class="container">

                    <div class="d-flex m-2 cl">
                        
                        <div class="p-1">
                            <div class="d-flex justify-content-between">
                            <u>Description:</u>
                            </div> 

                            <div class="list-group p-2 justify-content-between">
                            
                            <p>projects, scripts and documentations in corresponding README</p>
                            
                            </div>
                        </div>

                    </div>

                    <u>Projects samples:</u>

                    <div class="accordion mb-3" id="myAccordion1">

                    <div class="card">
                        <div class="card-header" id="headingOne1">
                            <h2 class="mb-0">
                                <button type="button" class="btn btn-link" data-toggle="collapse" data-target="#collapseOne1">bacteria-drug-uv-analysis</button>
                            </h2>
                        </div>
                        <div id="collapseOne1" class="collapse" aria-labelledby="headingOne1" data-parent="#myAccordion1">
                            <div class="card-body"> <!-- card body 1 -->
                                
                                <p>
                                <a href="https://https://gitlab.synchrotron-soleil.fr/disco-beamline/bacteria-drug-uv-analysis">https://gitlab.synchrotron-soleil.fr/disco-beamline/bacteria-drug-uv-analysis</a></br>
                                Utilise: scikit-image, h5py pour le HDF, pandas et jupyter avec ipywidgets pour faire une interface de visualisation des résultats. La segmentation utilise Stardist entraînée avec un jeux de donnée de la ligne.
                                </p>

                            </div> <!-- card body 1 -->
                        </div> 
                    </div> <!-- card end -->

                    <div class="accordion mb-3" id="myAccordion2">
                    <div class="card">
                        <div class="card-header" id="headingOne2">
                            <h2 class="mb-0">
                                <button type="button" class="btn btn-link" data-toggle="collapse" data-target="#collapseOne2">create-mosaic</button>
                            </h2>
                        </div>
                        <div id="collapseOne2" class="collapse" aria-labelledby="headingOne1" data-parent="#myAccordion2">
                            <div class="card-body"> <!-- card body 1 -->
                                
                                <p>
                                <a href="https://gitlab.synchrotron-soleil.fr/disco-beamline/create-mosaic/-/tree/master/ImageJ">https://gitlab.synchrotron-soleil.fr/disco-beamline/create-mosaic/-/tree/master/ImageJ</a></br>
                                Projet qui utilise ImageJ avec un script codé en (Jython) pour assembler des mosaïques d'images de fluorescence.
                                Ce script est un portage sur imagej d'une partie d'une toolbox Matlab beaucoup plus complète et qui est en cours de nettoyage sur une instance gitlab de l'INRAe.
                                </p>

                            </div> <!-- card body 1 -->
                        </div> 
                    </div> <!-- card end -->

                    </div> <!-- accordion end -->
                    
                </div>
                </div>

            </div>

            

        </div>
    </div>
    <!-- end DISCO -->

        
    </div> <!-- end justify-content-center -->

        <footer class="text-center text-lg-start">
            <div class="container">
                <div class="col-md-8 mx-auto">
                    <div class="row align-items-center">
                        <div class="col-sm-6 mx-auto">
                            <div class="column-content">
                                <a href="https://www.synchrotron-soleil.fr/fr" title="https://www.synchrotron-soleil.fr/fr" target="_blank" rel="noopener noreferrer">
                                    <img src="./static/images/logo_0.png" width="150" height="70" alt="Logo">
                                </a>
                            </div>
                        </div>
                        <div class="col-sm-6 mx-auto">
                            <div class="column-content">
                                <a class="text-decoration-none text-dark" href="https://gitlab.com/soleil-data-treatment" title="https://gitlab.com/soleil-data-treatment" target="_blank" rel="noopener noreferrer">
                                    <div class="column-content">
                                        <img src="./static/images/gitlab-logo-square.png" width="40" height="40" alt="Logo"> GitLab SOLEIL
                                    </div>
                                </a>
                            </div>
                        </div>
                        <div class="col-sm-6 mx-auto">
                            <div class="column-content">
                                <!-- Copyright -->
                                © 2021 Copyright: Aurélien Castel
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </footer>


    </div>

    <!-- javascript -->

    <script src="./static/jquery/jquery.slim.min.js"></script>
    <script src="./static/bootstrap/js/bootstrap.bundle.min.js"></script>

</body>

</html>
